Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.map
Class AbstractHashedMap.Values

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--org.apache.commons.collections.map.AbstractHashedMap.Values

All Implemented Interfaces:
  Collection

Enclosing class:
  AbstractHashedMap

protected static class AbstractHashedMap.Values
extends AbstractCollection

Values implementation.

Field Summary
`protected AbstractHashedMap` | `parent` The parent map

Constructor Summary
`protected` | `AbstractHashedMap.Values(AbstractHashedMap parent)`

Method Summary
`void` | `clear()`
`boolean` | `contains(Object value)`
`Iterator` | `iterator()`
`int` | `size()`

Methods inherited from class java.util.AbstractCollection
`add, addAll, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`equals, hashCode`

Field Detail

### parent

    protected final AbstractHashedMap parent

  The parent map

Constructor Detail

### AbstractHashedMap.Values

    protected AbstractHashedMap.Values(AbstractHashedMap parent)

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `Collection`
  Specified by:
    `size` in class `AbstractCollection`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection`
  Overrides:
    `clear` in class `AbstractCollection`

### contains

    public boolean contains(Object value)

  Specified by:
    `contains` in interface `Collection`
  Overrides:
    `contains` in class `AbstractCollection`

### iterator

    public Iterator iterator()

  Specified by:
    `iterator` in interface `Collection`
  Specified by:
    `iterator` in class `AbstractCollection`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Apache Software Foundation. All Rights Reserved.